> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Pending Allocation

> Schedules a post-cutoff allocation change for one of the caller wallets, cancelling earlier pending ones.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-pending-allocation
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-pending-allocation:
    post:
      operationId: createPendingAllocation
      summary: Create Pending Allocation
      description: >-
        Schedules a post-cutoff allocation change for one of the caller wallets,
        cancelling earlier pending ones.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePendingAllocationRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePendingAllocationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreatePendingAllocationRequest:
      type: object
      properties:
        walletID:
          type: string
          format: uuid
        newDistributionRatio:
          type: number
          minimum: 0
          maximum: 100
        newFixedAmount:
          type: number
          minimum: 0
        distributionType:
          type: string
          enum:
            - PERCENTAGE
            - FIXED_AMOUNT
        applyAfterPayDate:
          type: string
          format: date-time
        reason:
          type: string
          maxLength: 1000
      required:
        - walletID
        - distributionType
        - applyAfterPayDate
    CreatePendingAllocationResponse:
      type: object
      properties:
        success:
          type: boolean
        pendingAllocation:
          type: object
          properties:
            pendingAllocationID:
              type: string
            roleInOrgID:
              type: string
            walletID:
              type: string
            newDistributionRatio:
              type:
                - string
                - 'null'
            newFixedAmount:
              type:
                - string
                - 'null'
            distributionType:
              type: string
            applyAfterPayDate:
              type: string
            status:
              type: string
            appliedAt:
              type:
                - string
                - 'null'
            reason:
              type:
                - string
                - 'null'
            createdAt:
              type: string
            updatedAt:
              type: string
            orgID:
              type: string
          required:
            - pendingAllocationID
            - roleInOrgID
            - walletID
            - newDistributionRatio
            - newFixedAmount
            - distributionType
            - applyAfterPayDate
            - status
            - appliedAt
            - reason
            - createdAt
            - updatedAt
            - orgID
        message:
          type: string
      required:
        - success
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
